org.apache.ignite.internal.processors.platform.client

## Class ClientNotification

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientNotification

All Implemented Interfaces:
  ClientOutgoingMessage

Direct Known Subclasses:
  ClientCacheEntryEventNotification, ClientObjectNotification

    public class ClientNotification
    extends ClientListenerResponse
    implements ClientOutgoingMessage

Server to client notification for some resource.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`ClientNotification(short opCode, long rsrcId)` Constructor.
`ClientNotification(short opCode, long rsrcId, int status, String err)` Constructor.
`ClientNotification(short opCode, long rsrcId, String err)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the notification data.
`long` `resourceId()` Gets the resource id.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, onSent, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientNotification

    public ClientNotification(short opCode,
                              long rsrcId)

Constructor.

Parameters:
  `opCode` - Operation code.
  `rsrcId` - Resource id.

#### ClientNotification

    public ClientNotification(short opCode,
                              long rsrcId,
                              String err)

Constructor.

Parameters:
  `opCode` - Operation code.
  `rsrcId` - Resource id.
  `err` - Error message.

#### ClientNotification

    public ClientNotification(short opCode,
                              long rsrcId,
                              int status,
                              String err)

Constructor.

Parameters:
  `opCode` - Operation code.
  `rsrcId` - Resource id.
  `status` - Status code.
  `err` - Error message.

### Method Detail

#### encode

    public void encode(ClientConnectionContext ctx,
                       BinaryRawWriterEx writer)

Encodes the notification data.

Specified by:
  `encode` in interface `ClientOutgoingMessage`
Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

#### resourceId

    public long resourceId()

Gets the resource id.

Returns:
  Resource id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022